Package ru.bitel.bgbilling.modules.voiceip.common.service

# Interface VoiceIpService

    public interface VoiceIpService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `costMapDelete​(int id)` |
  `CostMap` | `costMapGet​(int id)` |
  `java.util.List<CostMap>` | `costMapList​(java.lang.String orderBy)` |
  `java.lang.String` | `costMapTree​(int id)` |
  `void` | `costMapUpdate​(int id, java.lang.String title)` |
  `java.lang.String` | `geographicCodeTree()` |
  `java.util.List<VoiceIpOperatorPrefixCost>` | `voiceIpOperatorPrefixCostList​(java.lang.String prefix, int serviceId, int callTypeId, int groupId)` |

- ## Method Details

  - ### geographicCodeTree

    java.lang.String geographicCodeTree() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### costMapList

    java.util.List<CostMap> costMapList​(java.lang.String orderBy) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceIpOperatorPrefixCostList

    java.util.List<VoiceIpOperatorPrefixCost> voiceIpOperatorPrefixCostList​(java.lang.String prefix, int serviceId, int callTypeId, int groupId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### costMapGet

    CostMap costMapGet​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### costMapUpdate

    void costMapUpdate​(int id, java.lang.String title) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### costMapDelete

    void costMapDelete​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### costMapTree

    java.lang.String costMapTree​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`